Summary: The Linux kernel (the core of the Linux operating system).
Name: kernel
%define buildsmp 1
%define buildBOOT 1
%define buildenterprise 1
%define release 6.2.7
%define sublevel 19
%define kversion 2.2.%{sublevel}
%define pcmciaver 3.1.24
%define ibcsver 2.1-981105
%define ksymoopsver 2.3.4

# disable build root strip policy
%define __spec_install_post /usr/lib/rpm/brp-compress || :

# define the following kernel options as being either
# Off (0) or On (1).
# lfs (Large File Summit) support only applies to the enterprise kernel
%define lfs 1
# Do not enable lfs and ext3 together for now!!
%define ext3 0
%define kdb 0
# End of Enterprise kernel options

# define headersinsource as 1 to make the kernel-source package
# include the contents of what would otherwise be in a kernel-headers
# package; as 0 for separate packages.  Used when a separate
# kernel-headers package is required.
%define headersinsource 0

Release: %{release}
Version: %{kversion}
%define KVERREL %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Copyright: GPL
Group: System Environment/Kernel
ExclusiveArch: i386 i586 i686 alpha sparc sparc64
ExclusiveOS: Linux
Obsoletes: kernel-modules, kernel-sparc
Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.2/linux-2.2.19.tar.gz
Source1: ftp://projects.sourceforge.net/pub/pcmcia-cs/pcmcia-cs-%{pcmciaver}.tar.gz
Source2: ftp://tsx-11.mit.edu/pub/linux/BETA/ibcs2/ibcs-%{ibcsver}.tar.gz
Source4: README.kernel-sources
Source5: ftp://ftp.ocs.com.au/pub/ksymoops/ksymoops-%{ksymoopsver}.tar.gz

Source10: pcmcia-cs-2.8.8-network.script
Source11: module-info
Source12: installkernel
Source13: rhkmvtag.c
Source14: kernel-2.2-BuildASM.sh
Source15: linux-rhconfig-22.h
Source16: linux-merge-config.awk
Source17: linux-merge-modules.awk
Source18: kernel-2.2-modulerename.script

Source20: kernel-%{kversion}-i386.config
Source21: kernel-%{kversion}-i386-smp.config
Source22: kernel-%{kversion}-i386-BOOT.config
Source23: kernel-%{kversion}-alpha.config
Source24: kernel-%{kversion}-alpha-smp.config
Source25: kernel-%{kversion}-sparc.config
Source26: kernel-%{kversion}-sparc-smp.config
Source27: kernel-%{kversion}-sparc64.config
Source28: kernel-%{kversion}-sparc64-smp.config
Source29: kernel-%{kversion}-i686.config
Source30: kernel-%{kversion}-i686-smp.config
Source31: kernel-%{kversion}-alpha-BOOT.config
Source32: kernel-%{kversion}-sparc-BOOT.config
Source33: kernel-%{kversion}-sparc64-BOOT.config
Source34: kernel-%{kversion}-i586.config
Source35: kernel-%{kversion}-i586-smp.config
Source36: kernel-%{kversion}-alpha-enterprise.config
Source37: kernel-%{kversion}-sparc-enterprise.config
Source38: kernel-%{kversion}-sparc64-enterprise.config
Source39: kernel-%{kversion}-i686-enterprise.config
Source40: kernel-%{kversion}-alpha-jensen.config

# General bug fix patches first
# Large patches that change core kernel code next
# Driver specific patches last

# Patches 10 through roughly 50 are meant for small patches to the
# core kernel code.  No drivers, no large subsystem patches.
Patch10: linux-2.2.16-ksym-version.patch
Patch11: linux-2.2.16-server-tuning.patch
Patch13: linux-2.2.16-nobfddep.patch
Patch14: linux-2.2.16-sunpartshaddap.patch
Patch15: linux-2.2.19-sparc-nfs.patch
Patch17: linux-2.2.16-loop.patch
Patch18: linux-2.2.16-sparc-sysreq.patch
Patch21: linux-2.2.16-loop-F1.patch
Patch26: linux-2.2.16-extradevs.patch
Patch28: linux-2.2.16-quiet.patch
Patch31: linux-2.2.17-loopd.patch
Patch34: linux-2.2.17-alpha-syscall.patch
Patch36: linux-2.2.17-ioapic-init.patch
Patch37: linux-2.2.17-scsi-scan.patch
Patch38: linux-2.4.0-nonintconfig.patch

# Patches ~50 through 100 are reserved for large subsystem patches, such
# as LFS, and are done in blocks of 5 patches; that way we have room
# to add fix patches as needed.
Patch49: linux-2.2.16-lfs-headers.patch

Patch50: linux-2.2.17-rawio.patch
Patch51: linux-2.2.17-raw-fix.patch

Patch55: linux-2.2.19-raid.patch

Patch60: linux-2.2.17-sigio.patch

Patch65: linux-2.2.19-bigmem.patch
Patch66: linux-2.2.16-bigmem-initrd.patch


Patch70: linux-2.2.17-PIII-5.patch
Patch72: linux-2.2.17-PIII-3-setup.patch
Patch73: linux-2.2.17-PIII-xor.patch
Patch74: linux-2.2.17-PIII-5-mxcsr.patch


# This would be in the generic kernel changes section, except that
# it modifies code touched by patch75, and so needs to follow it.
Patch78: linux-2.2.16-resourcelen.patch
Patch79: linux-2.2.16-usbreset.patch

Patch80: linux-2.2.17-i2c.patch
Patch81: linux-2.2.16-lm_sensors.patch

# Patches 100 through 200 are meant to be isolated driver patches and other
# similar non-core-code-touching and non-large-subsystem patches.
Patch103: linux-2.2.17-vfat.patch
Patch104: linux-2.2.16-3c90x.patch
Patch105: linux-2.2.16-scsi-reservation.patch
Patch106: linux-2.2.17-i810-nommap.patch
Patch108: linux-2.2.16-aacraid-1.0.3.patch
Patch111: linux-2.2.16-aacraid-1.0.3-paths.patch
Patch114: linux-2.2.16-sparc-gcc296.patch
Patch115: linux-2.2.16-cipe.patch
Patch118: linux-2.2.16-e1000.patch
Patch120: linux-2.2.17-atalkports.patch
Patch122: linux-2.2.16-multilun.patch
Patch127: linux-2.2.14-serial_sysrq.patch
Patch128: linux-2.2.17-e100.patch
Patch130: linux-2.2.16-qlc.patch
Patch132: linux-2.2.16-aacraid-1.0.4.patch
Patch133: linux-2.2.16-aacraid-1.0.5.patch
Patch134: linux-2.2.17-emc_qla2x00.patch
Patch144: linux-2.2.16-useio.patch
Patch147: linux-2.2.16-aacraid-1.0.6.patch
Patch148: linux-2.2.17-aacraid-ids.patch
Patch150: linux-2.2.17-DAC960-initrd-boot.patch

# IDE patch provides UDMA66 support, but is known to corrupt filesystems
# on a few systems, so is not applied by default.
Patch151: linux-2.2.16-ide-20000805.patch
Patch152: linux-2.2.19-usb_printer.patch
Patch153: linux-2.2.16-rhconfig.patch
Patch155: linux-2.2.17-cipe-nonx86.patch
Patch158: linux-2.2.17-cy82c693.patch
Patch163: linux-2.2.17-aic7xxx-5.1.32.patch
Patch165: linux-2.2.17-scsi-exports.patch
Patch166: linux-2.2.17-ipmasq-ifdef.patch
#Patch167: linux-2.2.17-comet-tulip.patch
Patch168: linux-2.2.19-pcmciaheader.patch
Patch169: linux-2.2.19-drmbackout.patch
Patch170: linux-2.2.19-ibcs.patch
Patch171: linux-2.2.19-udelay.patch
Patch172: linux-2.2.18-vpn.patch
Patch173: linux-2.2.19-usbupdate.patch
Patch174: linux-2.2.19-sis.patch
Patch175: linux-2.2.19-smallfixes.patch
Patch176: linux-2.2.19-compaq.patch
Patch177: linux-2.2.19-coredump.patch
Patch178: linux-2.2.19-xircom.patch
Patch179: linux-2.2.19-sunrpc.patch

Patch190: linux-2.2.17-ext3.patch
Patch191: linux-2.2.17-kdb.patch
Patch192: linux-2.2.17-kdb+ext3.patch

# Patches 200 to 249 are ibcs and pcmcia.
Patch200: linux-2.2.16-ibcs-rh.patch
Patch201: linux-2.2.16-ibcs-locking.patch
Patch207: linux-2.2.17-ibcs-sigpend-lied.patch

# Patches 250 to 300 are the HA patches.
Patch250: ipvs-1.0.6-2.2.19.patch

# Patches 300 to 400 are enterprise kernel patches.
Patch300: linux-2.2.19-lfs.patch
Patch302: linux-2.2.17-enterprise.patch

# Patches 400 and up are odd patches out or patches that simply
# touch *so many* files that we have to put them last to avoid tons of
# conflicts in the patches.
Patch400: ksymoops-2.3.4-mandir.patch
Patch401: linux-2.2.17-sard.patch
Patch402: linux-2.2.19-kcompat.patch

BuildRoot: %{_tmppath}/kernel-%{KVERREL}-root
Provides: module-info
Autoreqprov: no
Requires: initscripts >= 3.64
Prereq: modutils fileutils mktemp
Conflicts: mount < 2.10r, nfs-utils < 0.3.1

%if %{headersinsource}
%package source
Summary: The source code for the Linux kernel.
Group: Development/System
Prereq: fileutils
%else
%package source
Requires: kernel-headers = %{kversion}
Summary: The source code for the Linux kernel.
Group: Development/System
Prereq: fileutils

%package headers
Summary: Header files for the Linux kernel.
Group: Development/System
Prereq: fileutils
%endif

%package doc
Summary: Various documentation bits found in the kernel source.
Group: Documentation

%package pcmcia-cs
Summary: The daemon and device drivers for using PCMCIA adapters.
Group: System Environment/Kernel
Obsoletes: pcmcia-cs
Prereq: chkconfig

%package utils
Summary: Kernel related utilities.
Group: System Environment/Kernel

%package ibcs
Obsoletes: iBCS
Summary: Files which allow iBCS2 programs to run.
Group: System Environment/Kernel

%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Red Hat Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

%description source
The kernel-source package contains the source code files for the Linux
kernel. These source files are needed to build most C programs, since
they depend on the constants defined in the source code. The source
files can also be used to build a custom kernel that is better tuned
to your particular hardware, if you are so inclined (and you know what
you're doing).

%if ! %{headersinsource}
%description headers
Kernel-headers includes the C header files for the Linux kernel.  The
header files define structures and constants that are needed for
building most standard programs and are also needed for rebuilding the
kernel.
%endif

%description doc
This package contains documentation files form the kernel
source. Various bits of information about the Linux kernel and the
device drivers shipped with it are documented in these files. 

You'll want to install this package if you need a reference to the
options that can be passed to Linux kernel modules at load time.

%description pcmcia-cs
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are
small cards for everything from SCSI support to modems. PCMCIA cards
are hot swappable (i.e., they can be exchanged without rebooting the
system) and quite convenient to use. The kernel-pcmcia-cs package
contains a set of loadable kernel modules that implement an
applications program interface, a set of client drivers for specific
cards and a card manager daemon that can respond to card insertion and
removal events by loading and unloading drivers on demand.  The daemon
also supports hot swapping, so that the cards can be safely inserted
and ejected at any time.

Install the kernel-pcmcia-cs package if your system uses PCMCIA
cards.

%description utils
The kernel-utils package contains ksymoops, a utility that can be used
for decrypting the kernel's OOPS output.

%description ibcs
The kernel-ibcs package allows you to run programs in the iBCS2 (Intel
Binary Compatibility Standard, version 2) and related executable
formats.  iBCS is a standard for binary portability between UNIX and
UNIX-like systems.

%package smp
Summary: The Linux kernel compiled for SMP machines.
Group: System Environment/Kernel
Provides: kernel = %{version}
Prereq: modutils fileutils mktemp
Conflicts: mount < 2.10r, nfs-utils < 0.3.1

%description smp
This package includes a SMP version of the Linux kernel. It is
required only on machines with two or more CPUs, although it should
work fine on single-CPU boxes.

Install the kernel-smp package if your machine uses two or more CPUs.

%package enterprise
Summary: The Linux Kernel compiled with options for Enterprise server usage.
Group: System Environment/Kernel
Provides: kernel = %{version}
Prereq: modutils fileutils mktemp
Conflicts: mount < 2.10r, nfs-utils < 0.3.1

%description enterprise
This package includes a kernel that has appropriate configuration options
enabled for the typical large enterprise server.  This includes SMP support
for multiple processor machines, support for large memory configurations,
support for large file I/O, and other appropriate items.

%package jensen
Summary: The Linux Kernel compiled for the Alpha Jensen platform.
Group: System Environment/Kernel
Provides: kernel = %{version}
Prereq: modutils fileutils mktemp
Conflicts: mount < 2.10r, nfs-utils < 0.3.1

%description jensen
This package includes a kernel that has appropriate configuration
options enabled for use on the Alpha Jensen platform.  The Jensen
platform is not supported in the normal generic alpha kernel support.

%package BOOT
Summary: The version of the Linux kernel used on installation boot disks.
Group: System Environment/Kernel
Provides: kernel = %{version}
Prereq: modutils fileutils
Conflicts: mount < 2.10r, nfs-utils < 0.3.1

%description BOOT
This package includes a trimmed down version of the Linux kernel.
This kernel is used on the installation boot disks only and should not
be used for an installed system, as many features in this kernel are
turned off because of the size constraints.

%prep
%setup -q -n linux -a 1 -a 2 -a 5
%patch10 -p1
%patch11 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch17 -p1
%patch18 -p1
%patch21 -p1
%patch26 -p1
%patch28 -p1
%patch31 -p1
%patch34 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1

%patch49 -p1

# Raw I/O
%patch50 -p1
%patch51 -p1

# Enhanced RAID support
%patch55 -p1

# SIGIO patch
%patch60 -p1

# BIGMEM
%ifarch i386 i586 i686 alpha
%patch65 -p1
%patch66 -p1
%endif

# Enhanced PIII/Willamette patches
%patch70 -p1
%patch72 -p1
%if 0
%patch73 -p1
%endif
%patch74 -p1

# would be in the 1-50 series except that it interacts with patch75...
%patch78 -p1
%patch79 -p1

# LM Sensors package
%patch80 -p1
%patch81 -p1

# AGPGART

%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch108 -p1
%patch111 -p1
%patch114 -p1
%patch115 -p1
%patch118 -p1
%patch120 -p1
%patch122 -p1

%patch127 -p1
%patch128 -p1
%patch130 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch144 -p1
%patch147 -p1
%patch148 -p1
%patch150 -p1

# Dangerous IDE patch available but off by default
# Won't apply to 2.17 *FIXME*
#%patch151 -p1

%patch152 -p1

%patch153 -p1
%patch155 -p1
%patch158 -p1

# export 2 SCSI symbols for modular scsi
%patch165 -p1
# extra PCI ID's for tulip
#%patch167 -p1

if [ %{ext3} -ne 0 ] ; then
%patch190 -p1
fi

# Apply "kdb" debugging support if requested, including the ext3 module
# if needed.
if [ %{kdb} -ne 0 ] ; then
%patch191 -p1
if [ %{ext3} -ne 0 ] ; then
%patch192 -p1
fi
fi


# PCMCIA, IBCS
%patch200 -p1
%patch201 -p1
%patch207 -p1

cp ibcs/CONFIG.i386 ibcs/CONFIG


# ipmasq fixup for different kernel options
#%patch166 -p1

%patch168 -p1
%patch169 -p1
%patch170 -p1
%patch171 -p1
# VPN masq
%patch172 -p1

# USB updates from 2.2.20pre
%patch173 -p1
# New SIS driver
%patch174 -p1
# Misc small fixes from 2.2.20pre
%patch175 -p1
# Compaq RAID drivers update
%patch176 -p1
# fix coredump oops
%patch177 -p1
# backout xircom to 3.1.20 version
%patch178 -p1
# fix NFS vs SMP
%patch179 -p1


# IPVS stuff for HA
%patch250 -p1

%patch400 -p1

# the sard patch needs to be late because it touches lots of drivers
%patch401 -p1
%patch402 -p1

mkdir configs
%ifarch i386 i586 i686
cp -fv $RPM_SOURCE_DIR/kernel-%{version}-i?86*.config configs
%else
cp -fv $RPM_SOURCE_DIR/kernel-%{version}-%{_arch}*.config configs
%endif

%ifnarch i386 i586 i686
rm -rf pcmcia-cs-%{pcmciaver}
rm -rf ibcs
%endif

# Bring in the Red Hat Kernel Module Version Tag program
cp $RPM_SOURCE_DIR/rhkmvtag.c .

# make sure the kernel has the sublevel we know it has...
perl -p -i -e "s/^SUBLEVEL.*/SUBLEVEL = %{sublevel}/" Makefile

if [ -x /sbin/genksyms.old ]; then
  perl -p -i -e "s,^GENKSYMS.*,GENKSYMS=/sbin/genksyms.old," Makefile
fi

# get rid of unwanted files
find . -name "*.orig" -exec rm -fv {} \;
find . -name "*~" -exec rm -fv {} \;

###
### build
###
%build

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
	NRPROC=1
    fi
else
    NRPROC=1
fi

if [ -x /usr/bin/kgcc ]; then
    KERNELCC=kgcc
else
    KERNELCC=gcc
fi

ApplyEnterprisePatches() {
# this is where we apply those patches that we *only* ship in the
# enterprise kernel

if [ %{lfs} -eq 1 -a %{ext3} -eq 1 ] ; then
    echo "do not apply both lfs and ext3 at this time"
    exit 1
fi

# Large File Summit (64bit file access) support
if [ %{lfs} -ne 0 ] ; then
    patch -p1 < $RPM_SOURCE_DIR/linux-2.2.19-lfs.patch
    # Only for use with BIGMEM
fi

# enlarge SD_EXTRA_DEVS and max_scsi_luns
patch -p1 < $RPM_SOURCE_DIR/linux-2.2.17-enterprise.patch

# remove any backup files that were created
find . -name "*.orig" -exec rm -fv {} \;
find . -name "*~" -exec rm -fv {} \;
}

RemoveEnterprisePatches() {
# remove the patches in the reverse order that we applied them

patch -p1 -R < $RPM_SOURCE_DIR/linux-2.2.17-enterprise.patch
if [ %{lfs} -ne 0 ] ; then
    patch -p1 -R < $RPM_SOURCE_DIR/linux-2.2.19-lfs.patch
fi

# remove any backup files that were created
find . -name "*.orig" -exec rm -fv {} \;
find . -name "*~" -exec rm -fv {} \;
}

DependKernel() {
    # is this a special kernel we want to build?
    if [ -n "$2" ] ; then
	Config=$1-$2
	KernelVer=%{version}-%{release}$2
	echo MAKE DEPEND FOR $2 $1 KERNEL...
    else
	Config=$1
	KernelVer=%{version}-%{release}
	echo MAKE DEPEND FOR up $1 KERNEL...
    fi
    rm -f .config
    # make sure EXTRAVERSION says what we want it to say
    perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}$2/" Makefile
    make -s mrproper
    cp $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config .config
%ifarch sparc sparc64
    make -s ARCH=$1 oldconfig_nonint
    make -s ARCH=$1 dep
    make -s ARCH=$1 include/linux/version.h 
%else
    make -s oldconfig_nonint
    make -s dep
    make -s include/linux/version.h 
%endif
}

BuildKernel() {
    if [ -n "$1" ] ; then
	Config=%{_target_cpu}-$1
	KernelVer=%{version}-%{release}$1
	DependKernel %{_target_cpu} $1
	echo BUILDING A KERNEL FOR $1...
    else
	Config=%{_target_cpu}
	KernelVer=%{version}-%{release}
	DependKernel %{_target_cpu}
	echo BUILDING THE NORMAL KERNEL...
    fi
%ifarch i386 i586 i686
    make -s MAKE="make -j $NRPROC MAKE=make" bzImage
%else
    make -s MAKE="make -j $NRPROC MAKE=make" boot
%endif
    make -s MAKE="make -j $NRPROC MAKE=make" modules
    # first make sure we are not loosing any .ver files to make mrporper's
    # removal of zero sized files.
    find include/linux/modules -size 0 | while read file ; do \
	echo > $file
    done
    # Start installing stuff
    mkdir -p $RPM_BUILD_ROOT/boot
    install -m 644 System.map $RPM_BUILD_ROOT/boot/System.map-$KernelVer
    install -m 644 $RPM_SOURCE_DIR/module-info $RPM_BUILD_ROOT/boot/module-info-$KernelVer
%ifarch i386 i586 i686
    cp arch/i386/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
    cp vmlinux $RPM_BUILD_ROOT/boot/vmlinux-$KernelVer
%else
    gzip -cfv vmlinux > vmlinuz
    install -m 755 vmlinux $RPM_BUILD_ROOT/boot/vmlinux-$KernelVer
    install -m 644 vmlinuz $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
%endif
    mkdir -p $RPM_BUILD_ROOT/lib/modules/$KernelVer/{block,cdrom,fs,ipv4,misc,net,scsi,video}
    make -s INSTALL_MOD_PATH=$RPM_BUILD_ROOT modules_install KERNELRELEASE=$KernelVer
    #Identify the modules directory with the Red Hat Kernel Module Version Tag
%ifnarch sparc64
    cc -o rhkmvtag rhkmvtag.c init/version.o
    ./rhkmvtag > $RPM_BUILD_ROOT/lib/modules/$KernelVer/.rhkmvtag
    rm -f rhkmvtag
%endif
}

BuildiBCS() {
    if [ -z "$2" ] ; then
	echo "BUILDING FOR NORMAL KERNEL..."
    else
	echo "BUILDING FOR $2..."
    fi
    make -s CC="$KERNELCC" MAKE="make -j $NRPROC MAKE=make" -C ibcs/iBCSemul KERNEL=$RPM_BUILD_DIR/linux SMP=$1 all
    install -m644 ibcs/iBCSemul/iBCS \
	$RPM_BUILD_ROOT/lib/modules/%{KVERREL}$2/misc/iBCS.o
    make -s -C ibcs clean 
}

BuildPCMCIA() {
    if [ -z "$1" ] ; then
	echo "BUILDING FOR NORMAL KERNEL..."
    else
	echo "BUILDING FOR $1..."
    fi
    (cd pcmcia-cs-%{pcmciaver};
     ./Configure -n --kernel=$RPM_BUILD_DIR/linux \
     		    --srctree \
		    --cc="$KERNELCC" \
                    --target=$RPM_BUILD_ROOT \
                    --moddir=/lib/modules/%{KVERREL}$1 \
                    --notrust \
                    --cardbus \
                    --nopnp \
                    --sysv \
                    --rcdir=/etc/rc.d
    )
    make -s MAKE="make -j $NRPROC MAKE=make" -C pcmcia-cs-%{pcmciaver} all
    mkdir -p $RPM_BUILD_ROOT/lib/modules/%{KVERREL}$1/pcmcia
    make -s -C pcmcia-cs-%{pcmciaver} PREFIX=$RPM_BUILD_ROOT MANDIR=${RPM_BUILD_ROOT}/%{_mandir} install
}

SaveHeaders() {
    echo "SAVING HEADERS for $1 $2"
    # deal with the kernel headers that are version specific
    mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/$2/$1
    install -m 644 include/linux/autoconf.h \
	$RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/$2/$1/autoconf.h
    install -m 644 include/linux/version.h \
	$RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/$2/$1/version.h
    mv include/linux/modules \
	$RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/$2/$1/
    echo $2 $1 ../../savedheaders/$2/$1/ >> $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/list
}

###
# DO it...
###

rm -rf $RPM_BUILD_ROOT

# jensen kernel, only for alpha.  old broken broken alpha.
%ifarch alpha
BuildKernel jensen
%endif

# enterprise kernel, only part of the i686, sparc, sparc64, and alpha arches
%if %{buildenterprise}
%ifarch i686 sparc sparc64 alpha
ApplyEnterprisePatches
BuildKernel enterprise
%ifarch i686
BuildiBCS yes enterprise
%endif
SaveHeaders enterprise %{_target_cpu}
RemoveEnterprisePatches
%endif
%endif

%if %{buildsmp}
#SMP-ENABLED KERNEL
BuildKernel smp
%ifarch i386 i586 i686
BuildiBCS yes smp
# pcmcia does not compile on the smp kernels
#BuildPCMCIA smp
%endif
SaveHeaders smp %{_target_cpu}
%endif

%if %{buildBOOT}
%ifnarch i586 i686
# BOOT kernel
BuildKernel BOOT
%ifarch i386
BuildPCMCIA BOOT
%endif
SaveHeaders BOOT %{_target_cpu}
#%ifarch alpha
#BuildKernel BOOTsmp
#SaveHeaders BOOTsmp
#%endif
%endif
%endif

%ifarch i386
DependKernel i586
SaveHeaders up i586
DependKernel i686
SaveHeaders up i686
%endif
%ifarch sparc
DependKernel sparc64
SaveHeaders up sparc64
%endif

%if %{buildsmp}
%ifarch i386
DependKernel i586 smp
SaveHeaders smp i586
DependKernel i686 smp
SaveHeaders smp i686
%endif
%ifarch sparc
DependKernel sparc64 smp
SaveHeaders smp sparc64
%endif
%endif

%if %{buildenterprise}
%ifarch i386
ApplyEnterprisePatches
DependKernel i686 enterprise
SaveHeaders enterprise i686
RemoveEnterprisePatches
%endif
%ifarch sparc
ApplyEnterprisePatches
DependKernel sparc64 enterprise
SaveHeaders enterprise sparc64
RemoveEnterprisePatches
%endif
%endif

# NORMAL KERNEL
BuildKernel
%ifarch i386 i586 i686
BuildiBCS no
BuildPCMCIA
%endif
%ifarch i386 alpha sparc
SaveHeaders up %{_target_cpu}
%endif

%ifarch i386 alpha sparc
make -s -j $NRPROC -C ksymoops-%{ksymoopsver}
%endif

###
### install
###

%install

mkdir -p $RPM_BUILD_ROOT/{boot,sbin}
install -m 755 $RPM_SOURCE_DIR/installkernel $RPM_BUILD_ROOT/sbin/installkernel

for i in $RPM_BUILD_ROOT/lib/modules/*; do
  rm -f $i/build $i/modules.dep $i/modules.*map
  ln -sf /usr/src/linux-%{kversion} $i/build
done

%ifarch i586 i686 sparc64
# these don't need much
exit 0
%endif

mkdir -p $RPM_BUILD_ROOT/usr/include
ln -sf ../src/linux/include/linux $RPM_BUILD_ROOT/usr/include/linux

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion} 

%ifarch i386
mkdir -p $RPM_BUILD_ROOT/etc/pcmcia
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
# Install our own network up/down script
install -m755 $RPM_SOURCE_DIR/pcmcia-cs-2.8.8-network.script \
        $RPM_BUILD_ROOT/etc/pcmcia/network

# We need our own default /etc/sysconfig/pcmcia
cat > $RPM_BUILD_ROOT/etc/sysconfig/pcmcia <<EOF
PCMCIA=no
PCIC=
PCIC_OPTS=do_scan=0
CORE_OPTS=
EOF

# Finally strip some binaries
for file in cardmgr cardctl probe ide_info scsi_info ftl_format ftl_check ifport ifuser ; do
    strip $RPM_BUILD_ROOT/sbin/$file
done

# iBCS stuff
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man9
install -m 644 ibcs/Doc/iBCS.9 $RPM_BUILD_ROOT/%{_mandir}/man9

mkdir -p $RPM_BUILD_ROOT/dev/inet
install -m755 ibcs/MAKEDEV.ibcs $RPM_BUILD_ROOT/dev/MAKEDEV.ibcs
pushd $RPM_BUILD_ROOT ; {
  mknod ./dev/socksys c 30 0
  ln -s socksys ./dev/nfsd
  ln -s null ./dev/X0R
  mknod ./dev/spx c 30 1
  mknod ./dev/inet/ip c 30 32
  mknod ./dev/inet/icmp c 30 33
  mknod ./dev/inet/ggp c 30 34
  mknod ./dev/inet/ipip c 30 35
  mknod ./dev/inet/tcp c 30 36
  mknod ./dev/inet/egp c 30 37
  mknod ./dev/inet/pup c 30 38
  mknod ./dev/inet/udp c 30 39
  mknod ./dev/inet/idp c 30 40
  mknod ./dev/inet/rawip c 30 41
  ln -s udp ./dev/inet/arp
  ln -s udp ./dev/inet/rip
  cd ./dev/inet
  for i in *; do
    ln -s inet/$i ../$i
  done
} ; popd
%endif

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
tar cf - . | tar xf - -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
install -m 644 %{SOURCE4}  $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

%ifarch sparc
cp -a $RPM_SOURCE_DIR/kernel-2.2-BuildASM.sh $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/asm-sparc/BuildASM
%endif

#clean up the destination
%ifarch i386
make -s clean -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/pcmcia-cs-%{pcmciaver}
make -s -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/ibcs clean
%endif

make -s mrproper -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
cp $RPM_SOURCE_DIR/kernel-%{kversion}-%{_target_cpu}.config $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/.config
make -s oldconfig_nonint -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make -s symlinks -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make -s include/linux/version.h -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

#this generates modversions info which we want to include and we may as
#well include the depends stuff as well, after we fix the paths
make -s depend -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
find $RPM_BUILD_ROOT/usr/src/linux-%{kversion} -name ".*depend" | \
while read file ; do
    mv $file $file.old
    sed -e "s|[^ ]*\(/usr/src/linux\)|\1|g" < $file.old > $file
    rm -f $file.old
done

# Try to put some smarter autoconf.h and version.h files in place
pushd $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux ; {
rm -rf modules modversions.h autoconf.h version.h
cat > modversions.h <<EOF
#ifndef _LINUX_MODVERSIONS_H
#define _LINUX_MODVERSIONS_H
#include <linux/rhconfig.h>
#include <linux/modsetver.h>
EOF
echo '#include <linux/rhconfig.h>' > autoconf.h
list=`find ../../savedheaders/*/*/modules/*.ver -exec basename '{}' \; | sort -u`
mkdir modules
for l in $list; do
    sed 's,$,modules/'$l, ../../savedheaders/list | awk -f %{SOURCE17} > modules/$l
    touch -r modules/$l modules/`basename $l .ver`.stamp
    echo '#include <linux/modules/'$l'>' >> modversions.h
done
echo '#endif' >> modversions.h
sed 's,$,autoconf.h,' ../../savedheaders/list | awk -f %{SOURCE16} >> autoconf.h
install -m 644 %{SOURCE15} rhconfig.h
echo "#include <linux/rhconfig.h>" >> version.h
keyword=if
for i in smp BOOT BOOTsmp enterprise up; do
    verh=`echo ../../savedheaders/*/$i/version.h | awk ' { print $1 } '`
    if [ -n "$verh" -a -f "$verh" ]; then
	if [ "$i" = up ]; then
	    echo "#else" >> version.h
	else
	    echo "#$keyword defined(__module__$i)" >> version.h
	    keyword=elif
	fi
	grep UTS_RELEASE $verh >> version.h
    fi
done
echo "#endif" >> version.h
grep -v UTS_RELEASE ../../savedheaders/%{_target_cpu}/up/version.h >> version.h
rm -rf ../../savedheaders
} ; popd
> $RPM_BUILD_ROOT/boot/kernel.h-%{kversion}

# other tools
make -s install -C ksymoops-%{ksymoopsver} INSTALL_PREFIX=$RPM_BUILD_ROOT/usr INSTALL_MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man8


###
### clean
###

#%clean
#rm -rf $RPM_BUILD_ROOT

###
### scripts
###

# do this for upgrades...in case the old modules get removed we have
# loopback in the kernel so that mkinitrd will work.
%pre
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%pre smp
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%pre enterprise
/sbin/modprobe loop 2> /dev/null > /dev/null
exit 0

%post
cd /boot
ln -sf vmlinuz-%{KVERREL} vmlinuz
ln -sf System.map-%{KVERREL} System.map
ln -sf module-info-%{KVERREL} module-info
depmod -a -i -m /boot/System.map-%{KVERREL} %{KVERREL}
%(cat %{SOURCE18})

%post smp
cd /boot
ln -sf vmlinuz-%{KVERREL}smp vmlinuz
ln -sf System.map-%{KVERREL}smp System.map
ln -sf module-info-%{KVERREL}smp module-info
depmod -a -i -m /boot/System.map-%{KVERREL}smp %{KVERREL}smp
%(cat %{SOURCE18})

%post enterprise
cd /boot
ln -sf vmlinuz-%{KVERREL}enterprise vmlinuz
ln -sf System.map-%{KVERREL}enterprise System.map
ln -sf module-info-%{KVERREL}enterprise module-info
depmod -a -i -m /boot/System.map-%{KVERREL}enterprise %{KVERREL}enterprise
%(cat %{SOURCE18})

%post jensen
cd /boot
ln -sf vmlinuz-%{KVERREL}jensen vmlinuz
ln -sf System.map-%{KVERREL}jensen System.map
ln -sf module-info-%{KVERREL}jensen module-info
depmod -a -i -m /boot/System.map-%{KVERREL}jensen %{KVERREL}jensen
%(cat %{SOURCE18})

%post BOOT
depmod -a -i -m /boot/System.map-%{KVERREL}BOOT %{KVERREL}BOOT

# Allow clean removal of modules directory
%preun
rm -f /lib/modules/%{KVERREL}/modules.dep
rm -f /lib/modules/%{KVERREL}/modules.*map

%preun smp
rm -f /lib/modules/%{KVERREL}smp/modules.dep
rm -f /lib/modules/%{KVERREL}smp/modules.*map

%preun enterprise
rm -f /lib/modules/%{KVERREL}enterprise/modules.dep
rm -f /lib/modules/%{KVERREL}enterprise/modules.*map

%preun jensen
rm -f /lib/modules/%{KVERREL}jensen/modules.dep
rm -f /lib/modules/%{KVERREL}jensen/modules.*map

%preun BOOT
rm -f /lib/modules/%{KVERREL}BOOT/modules.dep
rm -f /lib/modules/%{KVERREL}BOOT/modules.*map

%ifarch i386 i586 i686
if [ -x /sbin/lilo -a -f /etc/lilo.conf ]; then
	/sbin/lilo > /dev/null 2>&1
	exit 0
fi
%endif

# Old kernel-headers packages owned include symlinks; new
# ones just make them so that we can have multiple kernel-headers
# packages installed.
%if %{headersinsource}
%triggerpostun -n kernel-source -- kernel-headers < 2.2.16
%else
%triggerpostun headers -- kernel-headers < 2.2.16
%endif
%ifarch sparc
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux
if [ %{headersinsource} -eq 0 ] ; then
	cd /usr/include
	rm -f linux
	ln -snf ../src/linux/include/linux linux
	rm -fr asm
	rm -f asm-sparc asm-sparc64
	ln -snf ../src/linux/include/asm-sparc asm-sparc
	ln -snf ../src/linux/include/asm-sparc64 asm-sparc64
	mkdir asm
	/usr/src/linux-%{kversion}/include/asm-sparc/BuildASM /usr/include/asm
fi
cd /boot
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
exit 0
%else
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux
if [ %{headersinsource} -eq 0 ] ; then
	cd /usr/include
	rm -f linux asm
	ln -snf ../src/linux/include/linux linux
	ln -snf ../src/linux/include/asm asm
fi
cd /boot
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
exit 0
%endif

%if %{headersinsource}
%post source
%else
%post headers
%endif
%ifarch sparc
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux
if [ %{headersinsource} -eq 0 ] ; then
	cd /usr/include
	rm -f linux
	ln -snf ../src/linux/include/linux linux
	rm -fr asm
	rm -f asm-sparc asm-sparc64
	ln -snf ../src/linux/include/asm-sparc asm-sparc
	ln -snf ../src/linux/include/asm-sparc64 asm-sparc64
	mkdir asm
	/usr/src/linux-%{kversion}/include/asm-sparc/BuildASM /usr/include/asm
fi
cd /boot
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
exit 0
%else
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux
if [ %{headersinsource} -eq 0 ] ; then
	cd /usr/include
	rm -f linux asm
	ln -snf ../src/linux/include/linux linux
	ln -snf ../src/linux/include/asm asm
fi
cd /boot
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
exit 0
%endif

%if ! %{headersinsource}
%post source
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux
%endif

%if %{headersinsource}
%postun source
%else
%postun headers
%endif
%ifarch sparc
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	if [ %{headersinsource} -eq 1 ] ; then
		[ $1 = 0 ] && rm -f /usr/src/linux /boot/kernel.h
	else
		[ $1 = 0 ] && rm -f /usr/src/linux /usr/include/linux /usr/include/asm-sparc /usr/include/asm-sparc64 /boot/kernel.h && rm -rf /usr/include/asm
	fi
    fi
fi
exit 0
%else
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	if [ %{headersinsource} -eq 1 ] ; then
		[ $1 = 0 ] && rm -f /usr/src/linux /boot/kernel.h
	else
		[ $1 = 0 ] && rm -f /usr/src/linux /usr/include/linux /usr/include/asm /boot/kernel.h
	fi
    fi
fi
exit 0
%endif

%if ! %{headersinsource}
%postun source
if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
exit 0
%endif

%ifarch i386
%post pcmcia-cs
/sbin/chkconfig --add pcmcia

%preun pcmcia-cs
if [ $1 = 0 ]; then
    /sbin/chkconfig --del pcmcia
fi
exit 0

%triggerpostun -- kernel-pcmcia-cs < 2.2.5
if [ -f /etc/rc.d/init.d/pcmcia ] ; then
    /sbin/chkconfig --add pcmcia
fi

%endif

###
### file lists
###

%files
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}
/boot/vmlinuz-%{KVERREL}
/boot/System.map-%{KVERREL}
/boot/module-info-%{KVERREL}
%config /sbin/installkernel
%dir /lib/modules
/lib/modules/%{KVERREL}

%if %{buildsmp}
%files smp
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}smp
/boot/vmlinuz-%{KVERREL}smp
/boot/System.map-%{KVERREL}smp
/boot/module-info-%{KVERREL}smp
%config /sbin/installkernel
%dir /lib/modules
/lib/modules/%{KVERREL}smp
%endif

%if %{buildenterprise}
%ifarch alpha sparc sparc64 i686
%files enterprise
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}enterprise
/boot/vmlinuz-%{KVERREL}enterprise
/boot/module-info-%{KVERREL}enterprise
/boot/System.map-%{KVERREL}enterprise
%config /sbin/installkernel
%dir /lib/modules
/lib/modules/%{KVERREL}enterprise
%endif
%endif

%ifarch alpha
%files jensen
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}jensen
/boot/vmlinuz-%{KVERREL}jensen
/boot/System.map-%{KVERREL}jensen
%config /sbin/installkernel
%dir /lib/modules
/lib/modules/%{KVERREL}jensen
%endif

%if %{buildBOOT}
%ifnarch i586 i686
%files BOOT
%defattr(-,root,root)
/boot/vmlinux-%{KVERREL}BOOT
/boot/vmlinuz-%{KVERREL}BOOT
/boot/System.map-%{KVERREL}BOOT
%config /sbin/installkernel
%dir /lib/modules
/lib/modules/%{KVERREL}BOOT
%endif
%endif

#%ifarch alpha
#%files BOOTsmp
#%defattr(-,root,root)
#/boot/vmlinux-%{KVERREL}BOOTsmp
#/boot/vmlinuz-%{KVERREL}BOOTsmp
#/boot/System.map-%{KVERREL}BOOTsmp
#%config /sbin/installkernel
#%dir /lib/modules
#/lib/modules/%{KVERREL}BOOTsmp
#%endif

%ifnarch i586 i686 sparc64
# START BASE ARCHES ONLY
%ifarch i386 alpha sparc

%files source
%defattr(-,root,root)
/usr/src/linux-%{kversion}/COPYING
/usr/src/linux-%{kversion}/CREDITS
/usr/src/linux-%{kversion}/Documentation
/usr/src/linux-%{kversion}/MAINTAINERS
/usr/src/linux-%{kversion}/Makefile
/usr/src/linux-%{kversion}/README
/usr/src/linux-%{kversion}/REPORTING-BUGS
/usr/src/linux-%{kversion}/Rules.make
/usr/src/linux-%{kversion}/arch/%{_arch}
%ifarch sparc
/usr/src/linux-%{kversion}/arch/sparc64
%endif
/usr/src/linux-%{kversion}/drivers
/usr/src/linux-%{kversion}/fs
/usr/src/linux-%{kversion}/init
/usr/src/linux-%{kversion}/ipc
/usr/src/linux-%{kversion}/kernel
/usr/src/linux-%{kversion}/lib
/usr/src/linux-%{kversion}/mm
/usr/src/linux-%{kversion}/modules
/usr/src/linux-%{kversion}/net
/usr/src/linux-%{kversion}/scripts
%ifarch i386
/usr/src/linux-%{kversion}/ibcs
/usr/src/linux-%{kversion}/pcmcia-cs-%{pcmciaver}
%endif

%if "0" == "%{headersinsource}"
%files headers
%endif
%defattr(-,root,root)
%dir /usr/src/linux-%{kversion}
/usr/src/linux-%{kversion}/configs
%ifarch sparc
/usr/src/linux-%{kversion}/include/asm-sparc
/usr/src/linux-%{kversion}/include/asm-sparc64
%else
/usr/src/linux-%{kversion}/include/asm-%{_arch}
%endif
/usr/src/linux-%{kversion}/include/asm
/usr/src/linux-%{kversion}/include/asm-generic
/usr/src/linux-%{kversion}/include/linux
/usr/src/linux-%{kversion}/include/net
/usr/src/linux-%{kversion}/include/scsi
/usr/src/linux-%{kversion}/include/video
%ifarch alpha sparc
/usr/src/linux-%{kversion}/include/math-emu
%endif  
/usr/src/linux-%{kversion}/README.kernel-sources
/boot/kernel.h-%{kversion}

%files utils
%defattr(-,root,root)
%doc scripts/ksymoops/README
/usr/bin/ksymoops
%{_mandir}/man8/ksymoops.8*

%files doc
%defattr(-,root,root)
%doc Documentation/*

%endif
# END BASE ARCHES ONLY
%endif

%ifarch i386
%files pcmcia-cs
%defattr(-,root,root)
%doc pcmcia-cs-%{pcmciaver}/doc/PCMCIA-HOWTO 
%doc pcmcia-cs-%{pcmciaver}/doc/PCMCIA-PROG
%doc pcmcia-cs-%{pcmciaver}/SUPPORTED.CARDS 
%doc pcmcia-cs-%{pcmciaver}/CHANGES 
%doc pcmcia-cs-%{pcmciaver}/COPYING 
%doc pcmcia-cs-%{pcmciaver}/README
%attr(755,root,root) /sbin/cardctl
/sbin/cardmgr
/sbin/ftl_check
/sbin/ftl_format
/sbin/ifport
/sbin/ifuser
/sbin/pcinitrd
/sbin/probe
/sbin/scsi_info
/sbin/ide_info
%{_mandir}/man[458]/[^k]*
%config /etc/rc.d/init.d/pcmcia
# The installer will put the right information in it. We should
# install the new one with extension .rpmnew since it is not
# correct for notebook. H.J.
%config(noreplace) /etc/sysconfig/pcmcia
%dir /etc/pcmcia
/etc/pcmcia/config
/etc/pcmcia/ftl
/etc/pcmcia/ide
/etc/pcmcia/memory
/etc/pcmcia/network
/etc/pcmcia/scsi
/etc/pcmcia/serial
/etc/pcmcia/shared
/etc/pcmcia/cis
/etc/pcmcia/wireless
%config(noreplace) /etc/pcmcia/config.opts
%config /etc/pcmcia/ftl.opts
%config /etc/pcmcia/ide.opts
%config /etc/pcmcia/memory.opts
%config /etc/pcmcia/scsi.opts
%config /etc/pcmcia/serial.opts
%config /etc/pcmcia/wireless.opts
%endif

%ifarch i386
%files ibcs
%defattr(-,root,root)
%doc ibcs/{README,RELEASE,CREDITS,Doc}
%{_mandir}/man9/iBCS.9*
/dev/MAKEDEV.ibcs
/dev/inet
/dev/socksys
/dev/nfsd
/dev/X0R
/dev/spx
/dev/arp
/dev/egp
/dev/ggp
/dev/icmp
/dev/idp
/dev/ip
/dev/ipip
/dev/pup
/dev/rawip
/dev/rip
/dev/tcp
/dev/udp
%endif

%changelog
* Thu  May 17 2001 Arjan van de Ven <arjanv@redhat.com>
- Merge fixes from 2.2.20-pre2 (compaq, usb, sis and some
  small cleanups)

* Thu May 10 2001 Pete Zaitcev <zaitcev@redhat.com>
- Added fix for usb printer probing.

* Mon Apr 30 2001 Arjan van de Ven <arjanv@redhat.com>
- Added VPN MASQ patch
- Fixed iBCS

* Mon Apr 09 2001 Michael K. Johnson <johnsonm@redhat.com>
- fixed ymfpci udelay bug

* Fri Apr  6 2001 Matt Wilson <msw@redhat.com>
- corrected the %%triggerpostun to be attached to the kernel-headers
  package and not the kernel package

* Fri Apr 06 2001 Michael K. Johnson <johnsonm@redhat.com>
- added sparc64 NFS fix

* Thu Apr 05 2001 Michael K. Johnson <johnsonm@redhat.com>
- added ARCH= when building the common sparc/sparc64 headers (from msw)

* Thu Apr 04 2001 Bob Matthews <bmatthews@redhat.com>
- removed 2.2.16-lockd patch.  No longer needed in 2.2.19
- and makes lockd unkillable with msg "lockd_down: lockd failed to exit"

* Thu Mar 29 2001 Arjan van de Ven <arjanv@redhat.com>
- updated to 2.2.19

* Wed Mar 21 2001 Doug Ledford <dledford@redhat.com>
- add a patch to fix scsi scanning of certain external raid chassis devices

* Wed Feb 21 2001 Michael K. Johnson <johnsonm@redhat.com>
- fixed headersinsource 0 (#18868)
- fixed enterprise module-info

* Mon Feb 19 2001 Karsten Hopp <karsten@redhat.de>
- fix path to aic7xxx include in pcmcia-cs subtree

* Fri Feb 16 2001 Arjan van de Ven <arjanv@redhat.com>
- Added Comet Tulip PCI ID's (#18035)

* Thu Feb 15 2001 Arjan van de Ven <arjanv@redhat.com>
- Fixed missing ifdef around EXPORT_SYMBOLS in
  ip_masq.c (#21604)

* Thu Feb 15 2001 Helge Deller <hdeller@redhat.de>
- Added EMC-approved QLogic driver emc_qla2x00.o
  (v2.19.15, requested by FSC)

* Wed Feb 14 2001 Arjan van de Ven <arjanv@redhat.com>
- Exported 2 extra symbols (#19862)

* Mon Feb 12 2001 Helge Deller <hdeller@redhat.de>
- added missing Makefile changes for e100 driver 
  (#26985, #26995)

* Wed Feb 07 2001 Doug Ledford <dledford@redhat.com>
- apply a small bug fix to the new aic7xxx patch
- update to the new 5.1.33 aic7xxx driver

* Tue Feb 06 2001 Doug Ledford <dledford@redhat.com>
- updated to aic7xxx driver version 5.1.32

* Fri Feb 02 2001 Helge Deller <hdeller@redhat.de>
- updated e100 driver to version 1.3.20

* Wed Jan 31 2001 Doug Ledford <dledford@redhat.com>
- Added the PIII-5-mxcsr patch to close a security hole

* Wed Jan 24 2001 Doug Ledford <dledford@redhat.com>
- Added the ioapic-init patch to fix a known ioapic bug

* Wed Jan 24 2001 Arjan van de Ven <arjanv@redhat.com>
- Fixed bug 24737 (typo in alpha config file)

* Tue Jan 23 2001 Matt Wilson <msw@redhat.com>
- added a quick hack to test for /sbin/genksyms.old
  we need kgcc like action with this in Makefile, though.

* Mon Jan 22 2001 Benjamin LaHaise <bcrl@redhat.com>
- added 64 bit clean linux-2.2.17-sysctl.patch

* Tue Jan 16 2001 Arjan van de Ven <arjanv@redhat.com>
- added patch to upgrade the version of the sis900 driver.
  Related to bug 21514

* Sun Jan 14 2001 Karsten Hopp <karsten@redhat.de>
- added enterprise patch. Large storage systems have
  more than 64 LUNS and the kernel will fail to detect
  any disks if there are more LUNS than max_scsi_luns

* Fri Jan 12 2001 Michael K. Johnson <johnsonm@redhat.com>
- Added linux-2.2.17-partquiet.patch for ls120 disks

* Thu Jan 11 2001 Michael K. Johnson <johnsonm@redhat.com>
- disabled the QLogic 1280 driver for alpha because it fails to build

* Wed Jan 10 2001 Benjamin LaHaise <bcrl@redhat.com>
- added fix for rawio bug (linux-2.2.17-raw-fix.patch)
- tweaked make for use on smp without going exponential
- bumped version to 2.2.17-11

* Thu Dec 21 2000 Philip Copeland <bryce@redhat.com>
- updated the ipvs patch (patch253), the old patch is still there but
  not used should we need to revert (patch250).
- Added the Locality-Based Least Connection scheduler which aims 
  to provide locality and load balancing for cache cluster   
- Fixes the terrible locking bugs in ip_vs_lblc.c
      *lock(tbl->lock) ==> *lock(&tbl->lock)
- Fixes the uninitilized tbl->lock bug in ip_vs_lblc_init_svc
- Adds full expiration check for ip_vs_lblc entries
- Fixes the wrong rover usage in expiration of lblc
- Fixes the wrong traverse in lblc flush and expiration functions
- Adds the /proc/sys/net/ipv4/vs/lblc_expiration to set the
  time of lblc mapping.
- Adds the CONFIG_IP_VS_DEBUG in the config menu, and clarifies
  debug levels
- Updated the *.config files that use IPVS to take account of the new
  config option names (all architectures)
  CONFIG_IP_VS_DEBUG=y
      (turned on/off with echo <1|0> > /proc/sys/net/ipv4/vs/debug_level)
  CONFIG_IP_MASQUERADE_VS_LBLC=m
  CONFIG_IP_MASQUERADE_VS_LBLCR=m

* Mon Dec 18 2000 Stephen Tweedie <sct@redhat.com>
- Update raw IO patches: various bugfixes.

* Mon Dec 18 2000 Bill Nottingham <notting@redhat.com>
- add patch to fix get/setresgid on alpha (#21654)

* Mon Nov 27 2000 Michael K. Johnson <johnsonm@redhat.com>
- Added Bill's vfat patch to fix FAT32 filesystems on 64-bit archs
- Handle modules.usbmap as well as modules.pcimap

* Fri Nov 17 2000 Michael K. Johnson <johnsonm@redhat.com>
- Newer P4 patch from Doug fixes SMP detection bug
- Temporarily turn off mmap in i810_audio for upcoming build
- Added linux-2.2.17-i810quiet.patch to make i810 stop complaining,
  also support more hardware

* Thu Nov 16 2000 Michael K. Johnson <johnsonm@redhat.com>
- updated to new cs46xx driver with the GFP_DMA fix

* Wed Nov 15 2000 Ben LaHaise <bcrl@redhat.com>
- fixed pread/pwrite bug in LFS patch

* Tue Nov 14 2000 Michael K. Johnson <johnsonm@redhat.com>
- Ben fixed linux-2.2.17-vmalloc_fix.diff to work right

* Mon Nov 13 2000 Michael K. Johnson <johnsonm@redhat.com>
- Updated linux-2.2.17-vmalloc_fix.diff with Terence Ripperda's fixes

* Fri Nov 10 2000 Michael K. Johnson <johnsonm@redhat.com>
- Changed linux-2.2.17-brokenmptable.patch to Alan's version

* Thu Nov 09 2000 Michael K. Johnson <johnsonm@redhat.com>
- Added linux-2.2.17-aacraid-ids.patch
- Added linux-2.2.17-brokenmptable.patch because some idiots in Redmond
  decided that putting invalid MP tables on UP machines was a good idea.

* Wed Nov 08 2000 Michael K. Johnson <johnsonm@redhat.com>
- Updated to cs46xx 20001108 from Cirrus
- Added elevator ordering fix from 2.2.18pre
- fix more rhconfig goop

* Tue Nov 7 2000 Ben LaHaise <bcrl@redhat.com>
- fix rhconfig goop.

* Tue Nov 7 2000 Doug Ledford <dledford@redhat.com>
- Updated PIII patch to the -5 version from Andrea Arcangeli
- Re-merged the P4 changes into Andrea's PIII-5 patch

* Tue Nov 7 2000 Ben LaHaise <bcrl@redhat.com>
- renabled iBCS build
- added linux-2.2.17-vmalloc_fix.diff

* Tue Nov 07 2000 Michael K. Johnson <johnsonm@redhat.com>
- Added loopd patch from Arjen
- Added maestro3 driver from zab
- added bonding patch

* Sun Nov 5 2000 David Woodhouse <dwmw2@redhat.com>
- include support for the CY82C693 IDE chipset found on Alpha SX164

* Tue Oct 31 2000 Michael K. Johnson <johnsonm@redhat.com>
- Updated to qla1x160src-3.19Beta and qla2x00src-4.15Beta at QLC's request
- Updated to ServeRAID driver 4.20 at IBM's request
- Updated to cs46xx 20001027 from Cirrus

* Mon Oct 30 2000 Michael K. Johnson <johnsonm@redhat.com>
- Disassociated ext3, kdb from the enterprise kernel

* Thu Oct 26 2000 Doug Ledford <dledford@redhat.com>
- Added the PIII-3 patch from Andrea Arcangeli (which was based upon the
  PIII code in the 2.4pre kernels and also my PIII patch)
- Added the PIII-3-to-3.2 patch which fixes a few issues with the PIII-3
  patch and prepares it to receive FPU optimizations later
- Commented out the PIII-xor patch until the other FPU optimizations are
  added
- Added the PIII-3-setup patch to make the PIII patch work with the 2.2.17
  kernel.  This patch needs yanked out if the kernel is upgraded to 2.2.18.

* Wed Oct 25 2000 Michael K. Johnson <johnsonm@redhat.com>
- Removed nested ifs that were sometimes confusing enterprise builds
- Turned on ext3 and kdb for an HA build
- Updated to ipvs-0.9.16-2.2.17.patch
- Updated other ipvs patches to match
- Added EXT3 and KDB to x86 enterprise kernel config file

* Mon Oct 23 2000 Matt Wilson <msw@redhat.com>
- disable usbkbd on alpha

* Thu Oct 19 2000 Matt Wilson <msw@redhat.com>
- create a alpha jensen (yuck) subpackage
- disable AGP on alpha (for now)
- turn on USB for alpha

* Mon Oct 16 2000 Matt Wilson <msw@redhat.com>
- modified Patch155 to correctly build on sparc
- commented out some conditional ext3 bits, rpm chokes hard on nested %%if
- merged the needed P4 .config changes to all x86 .config files *grumble*
- updated .config files to have new bits in 2.2.17 (does anyone
  actually try to build this stuff?)
- enable bigmem support on alpha

* Tue Oct 10 2000 Doug Ledford <dledford@redhat.com>
- Added and enabled the support for Pentium 4 CPUs.

* Fri Oct  6 2000 Matt Wilson <msw@redhat.com>
- added Patch155 to make cipe use the proper blowfish on non x86

* Thu Oct 05 2000 Michael K. Johnson <johnsonm@redhat.com>
- Updated to Stephen's latest sard patch
- Applied John Hardin's PPTP/IPSEC masq fix patch

* Thu Oct  5 2000 Matt Wilson <msw@redhat.com>
- patch main.c to include DAC960 devices when it is built as a module

* Wed Oct 4 2000 Ben LaHaise <bcrl@redhat.com>
- config changes for alpha/sparc
- added linux-2.2.16-alpha-pci-and-bogo.patch

* Mon Oct 2 2000 Ben LaHaise <bcrl@redhat.com>
- updated LFS patch for 2.2.17.
- restore several patches dropped in the initial 2.2.17 merge

* Tue Oct 2 2000 Ben LaHaise <bcrl@redhat.com>
- change all instances of DEBUG_IP_MASQUERADE_PPTP to
  CONFIG_DEBUG_IP_MASQUERADE_PPTP to work around change in
  make oldconfig behaviour.
- reenable rawio patch
- add config options for new modules in the kernel.

* Mon Oct 02 2000 Doug Ledford <dledford@redhat.com>
- Fixed the pcmcia makefile to work on a Red Hat 7 system that has libforms
  installed
- Updated the PIII patches.
- Fixed the raid patch
- Added i2c-old.o to the drivers/char/Makefile in place of i2c.o, this was
  needed to make the i2c patch work properly

* Mon Sep 25 2000 Bob Matthews <bmatthews@redhat.com>
- start update to 2.2.17 kernel

* Mon Sep 25 2000 Doug Ledford <dledford@redhat.com>
- Integrated HJ Lu's fix to Jakub's linux-modules-merge.awk script
- Added Tim Waugh's patch to the xircom cardbus driver
- Added a patch to allow drm modules to be loaded without the agp driver
  This patch also requires that modutils be modified to attempt to preload
  the agp module prior to loading any drm modules with lines such as:
  pre-install tdfx modprobe agpgart; exit 0
  Please note that the exit 0 at the end is important if you want a modprobe
  to continue to load the drm module regardless of whether or not the agp
  module load succeeded.  Certain cards, such as Voodoo 3000 PCI cards can
  use the drm module, but aren't always in machines that have AGP slots, so
  this is needed to make those types of supported cards work.

* Thu Sep 14 2000 Matt Wilson <msw@redhat.com>
- CONFIG_BLK_DEV_LOOP=y and CONFIG_SYSCTL=y and CONFIG_BLK_DEV_INITRD
  for alpha-BOOT

* Mon Sep 11 2000 Doug Ledford <dledford@redhat.com>
- Drop in the fix to the enterprise module version headers (from Jakub)

* Tue Sep  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update to pcmcia-cs 3.1.20
- fix url for pcmcia-cs source
- do not include ksymoops man-page in pcmcia rpm

* Tue Aug 22 2000 Michael K. Johnson <johnsonm@redhat.com>
- Removed unnecessary instances of KERNELCC that were causing trouble
- 2.2.16-22

* Mon Aug 21 2000 Doug Ledford <dledford@redhat.com>
- Added a small patch to make the nfs lockd service shut down cleanly

* Mon Aug 21 2000 Michael K. Johnson <johnsonm@redhat.com>
- Turned on several advanced routing options (not in the BOOT) (#7004)
- Turned on netlink options on Alpha, made appropriate changes required
- Turned on network scheduling options (#8340)
- Turned on mroute and friends

* Fri Aug 18 2000 Michael K. Johnson <johnsonm@redhat.com>
- Changed newids patch to check only for 0xf; hack to support new Intel chips.

* Thu Aug 17 2000 Jakub Jelinek <jakub@redhat.com>
- For make *config, default to currently running kernel's configs/ config.

* Thu Aug 17 2000 Michael K. Johnson <johnsonm@redhat.com>
- Rename (perc|hpc)raid to aacraid in all kernel postinstalls (#15205)
- Extended ugly newids patch to utsname.machine
- added linux-2.2.16-eof.patch to fix isofs accesses (#14069)
- added linux-2.2.16-eepro.patch to fix network halting bug (#13238)
- added linux-2.2.16-i2oinc.patch to update to latest i2o from Intel
- Really change to qla2x00 2.23; QLC sent wrong version yesterday.
  Intended again to fix fabric mode problem (#15976)
- added linux-2.2.16-ac97state.patch from Alan
- added linux-2.2.16-cs46xx.patch from Alan for verification
- modified linux-2.2.16-agpgart-2.4-compat.patch to remove spam

* Thu Aug 17 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- bug-fix update for the linux-2.2.16-cpqfcts.patch driver

* Wed Aug 16 2000 Jakub Jelinek <jakub@redhat.com>
- reenable sparc patches, cvs admin -ko seems to help

* Wed Aug 16 2000 Michael K. Johnson <johnsonm@redhat.com>
- disabled Jakub's sparc patches (they broke somewhere)
- turn off VFS: disk changed message
- really include 3c90x 1.0.0i -- 3com put the wrong version in their patch
  (#12987).  I turned it off on Alpha...
- Change to qla2x00 2.23; QLC says that it is better for the 2.2 kernel.
  Intended to fix fabric mode problem (#15976)

* Tue Aug 15 2000 Michael K. Johnson <johnsonm@redhat.com>
- added newids patch to try to deal with large cpuid cpu family numbers

* Tue Aug 15 2000 Jakub Jelinek <jakub@redhat.com>
- Reenable Sparc kernel builds
- DaveM's sparc-fixes patch
- Fix ffb drm build on Sparc
- Fix loop-F1 patch so that it gets kernel_thread prototype

* Mon Aug 14 2000 Michael K. Johnson <johnsonm@redhat.com>
- micoff patch to default ESS Solo1 mics to off (#15905)
- fix lib/modules/<ver>/build link for some archs

* Fri Aug 11 2000 Jakub Jelinek <jakub@redhat.com>
- Fix linux-merge-config.awk so that CONFIG_SMP and a couple of
  other defines show up
- DependKernel/SaveHeaders for up i586/i686/sparc64 as well

* Wed Aug 09 2000 Michael K. Johnson <johnsonm@redhat.com>
- SD_EXTRA_DEVS=40 always
- Do not build pegasus driver (#15736)
- Added more prereqs for expanded %post scripts (#15808)
- Updated to qla2x00 4.00 (#15764)

* Tue Aug  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add ide_info (Bug #8004)

* Tue Aug 08 2000 Michael K. Johnson <johnsonm@redhat.com>
- Update to megaraid 1.09 driver (#13745)
- Added code to create agpgart.o dependencies in drm modules
- Update to aacraid driver 1.0.6 (#15772)
- Added exponential make tradeoff
- Removed more potential patch backup files (#15758)
- Added modules.pcimap handling, /lib/modules/`uname -r`/build symlink
- Strip some more binaries (#12429)

* Tue Aug 08 2000 Bill Nottingham <notting@redhat.com>
- Added depmod to %post
- minor cs46xx/i810_audio tweaks for lack of mono in certain cases

* Mon Aug 07 2000 Jakub Jelinek <jakub@redhat.com>
- fix my last changes

* Mon Aug 07 2000 Michael K. Johnson <johnsonm@redhat.com>
- Turn on USE_IO in eepro100 driver (#15207)
- Included Alan's patch to short-circuit bad pci_resource_len in uhci.c
- Included Alan's patch to fix hard resets in usb
- Included Alan's patch to clean up the cciss driver
  Incremented version number at compaq's request
  Changed the major numbers to the officially-sanctioned ones [104..111]
- Turn on CONFIG_APM_IGNORE_SUSPEND_BOUNCE per Alan's request
- Turn off usb-uhci interrupt status messages
- Turn off usb debugging in general by default
- Update to e1000-2.0.7 driver (#12989)
- Included linux-2.2.16-810fix.patch from Alan (#15519, #13671)
- Fixed DRM module build by adding missing device
- Added wireless pcmcia config files (#15485)
- Support the 3c556 ethernet card (#15640)

* Sat Aug  5 2000 Bill Nottingham <notting@redhat.com>
- use DRM modules from 2.4, not from XFree86

* Fri Aug  4 2000 Bill Nottingham <notting@redhat.com>
- update cs46xx driver
- fix cs46xx patch

* Fri Aug 04 2000 Michael K. Johnson <johnsonm@redhat.com>
- Added 2.0.6 e1000 driver (#12989)
- Added 1.2.1 e100 driver (#14993)
- Added linux-2.2.16-cciss-0.9.9.patch driver

* Thu Aug 03 2000 Michael K. Johnson <johnsonm@redhat.com>
- 2.2.16-18
- 2.2.16-18.1: fixed mouse reconnect bug with patch from Alan (#14280)

* Thu Aug 03 2000 Jakub Jelinek <jakub@redhat.com>
- save all modversions headers, merge them into autoconf.h, modversions.h
  and version.h

* Wed Aug 02 2000 Michael K. Johnson <johnsonm@redhat.com>
- added usbquiet patch from alan to quiet debugging messages for our users

* Tue Aug 01 2000 Michael K. Johnson <johnsonm@redhat.com>
- update to usb backport patch to usb-2.4.0-test2-pre2-for-2.2.16-v3.diff
  with kill_fasync changed to include the POLL_IN argument
- remove drivers/usb/mouse.c change from the sigio patch because mouse.c
  disappears in usb-2.4.0-test2-pre2-for-2.2.16-v3.diff
- updated 3c90x driver to 1.0.0i (#12987)
- added linux-2.2.16-slab.patch from Alan

* Mon Jul 31 2000 Michael K. Johnson <johnsonm@redhat.com>
- back to one config definition of EMU10K1 in standard location
- updated to 2.2.16-pre14 sound patches with that EMU10K1 driver
- re-enable parallel makes because we have a newer emu10K1 patch set

* Sun Jul 30 2000 Matt Wilson <msw@redhat.com>
- applied fix to headersinsource from HJ

* Fri Jul 28 2000 Michael K. Johnson <johnsonm@redhat.com>
- if{n,}arch patches are generally a bad idea; removed unnecessary ones
- updated alpha configuration files.
- alpha-objstrip-include patch to build when system headers are 2.4 kernel
- do not build drm modules on alpha yet (currently require ia32 assembler)

* Fri Jul 28 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- add "--srctree" to pcmcia configuration to use the kernel source
  instead of the running kernel for pcmcia configuration
- add the kaweth and emu10K1 driver to the config files

* Wed Jul 26 2000 Michael K. Johnson <johnsonm@redhat.com>
- commented out loopback system thread started message
- presound patche now from 2.2.17-pre13 except what we already have otherwise
- integrated Jakub's patch to use kgcc when appropriate
- if headersinsource, another headers package is expected to be on the system,
  so modified the source package not to take over system header symlinks

* Wed Jul 26 2000 Doug Ledford <dledford@redhat.com>
- Added more devices to SCSI blacklist

* Tue Jul 25 2000 Michael K. Johnson <johnsonm@redhat.com>
- added the headersinsource define to conditionally merge the
  kernel-headers and kernel-source packages (needed when there
  is a separate kernel-headers package)
- turned lm_sensors back on because the problem is elsewhere (lm_sensors
  autodetect script) and is getting worked around there.
- export major_gendisk in sard patch
- Added the sound patches from 2.2.17-pre9 for AC97 code support
  (CONFIG_SOUND_FUSION)
- Added the kaweth Kawasaki USB Ethernet driver
- Added the drm-kernel package of DRM modules from XFree86 4.0.x

* Tue Jul 25 2000 Doug Ledford <dledford@redhat.com>
- added the aacraid 1.0.4 and 1.0.5 patches
- merged in the i815 support to the agpgart code

* Tue Jul 25 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- apply patch129 only for ia32
- enable sard patch only for x86, as it depends on pcmcia being available
- update the ICP vortex driver

* Sat Jul 22 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- disable parallel makes for modules since at least
  drivers/sound/emu10k1/Makefile is broken
- update to pcmcia 3.1.19
- update to ksymoops 2.3.4

* Fri Jul 21 2000 Michael K. Johnson <johnsonm@redhat.com>
- Updated to latest Ingo loopd patch
- disabled lm_sensors because it overwrites the bios on some
  IBM Thinkpad laptops

* Thu Jul 20 2000 Doug Ledford <dledford@redhat.com>
- added two QLogic drivers
- added the sard patch from Stephen Tweedie
- updated configs

* Thu Jul 20 2000 Michael K. Johnson <johnsonm@redhat.com>
- fix emu10k1 depmod errors

* Wed Jul 19 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- disable Tachyon driver on alpha
- update pcmcia to 3.1.18
- add patch for cpqarray
- add serial sysrequest patch
- add eepro 100 driver from Intel

* Tue Jul 18 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- add newer SysKonnect FDDI driver
- add newer Tachyon driver

* Tue Jul 18 2000 Michael K. Johnson <johnsonm@redhat.com>
- added AGPGART support to i386 BOOT kernel

* Sat Jul 15 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update from 8 to 64 luns for big (FDDI) storage systems (multilun.patch)
- added patch for probing all luns on Compaq logical devices RA4100,
  >RA8000 (FibreChannel)
- add Tachyon TL/TS 1.2 FibreChannel support
- add SysKonnect FDDI PCI support
- change server-tuning.patch:
	- increase _SHM_ID_BITS from 9 to 10
	- increase MSGMNI (in include/linux/msg.h) from 128 to 512

* Thu Jul 13 2000 Doug Ledford <dledford@redhat.com>
- worked on spec file to get enterprise kernel added
- worked around problems with using the %_mandir directive
- worked around problems with the change in /etc/rc.d usage between 6.x and
  later Red Hat releases (FHS-2.0 standards compliance issues)
- worked around problems with compiler naming issues (we use egcs if it
  exists, and gcc otherwise, which should make the compile kernel
  everywhere we care about now)
- make the pcmcia install use -f when copying man pages into place because
  both the BOOT and normal kernels in the i386 arch want to install man
  pages and without the -f flag it causes the build to fail

* Wed Jul 12 2000 Ben LaHaise <bcrl@redhat.com>
- added linux-2.2.16-usbdevfs-2.patch

* Wed Jul 12 2000 Doug Ledford <dledford@redhat.com>
- added e1000 patch
- added scsi-offline patch for disks that aren't available at scan time
- updated ksymoops, pcmcia, and ibcs to all use the proper man path
- added the enterprise kernel component to sparc64 i686 and alpha arches
- added Ingo's loopback device patch

* Tue Jul 11 2000 Ben LaHaise <bcrl@redhat.com>
- add linux-2.2.16-usbdevfs.patch to fix module unload problem
- pcmcia updated to 3.1.17
- added linux-2.2.16-iovec.patch to fix iovec problem on 64bit machines

* Thu Jul 6 2000 Ben LaHaise <bcrl@redhat.com>
- well, -j isn't behaving properly.  sigh.  put it back.
- updated lfs patches
- fix ksymoops building as a user

* Mon Jul 3 2000 Ben LaHaise <bcrl@redhat.com>
- Removed MAKE="make -j $NRPROC" from build process since
  current versions of make do the Right Thing with -j only
  at the top level.
- Renamed spec file to kernel-2.2.spec

* Mon Jun 26 2000 Doug Ledford <dledford@redhat.com>
- Added the sparc-eepro and sparc-signal patches
- Enable IDE-CD and IDE-FLOPPY in the boot kernels
- Added ip_masq_vpn patch
- Added lm_sensors package

* Wed Jun 21 2000 Michael K. Johnson <johnsonm@redhat.com>
- Added dledford's latest aic7xxx sequencer patch for aic7xxx
- Added latest USB backport (2.4.0-test2-pre2) for development kernel
- Jacub's new gcc296 patch is should work correctly with any gcc,
  so it is unconditionally enabled.

* Wed Jun 20 2000 Michael K. Johnson <johnsonm@redhat.com>
- Added new HA patch

* Mon Jun 19 2000 Michael K. Johnson <johnsonm@redhat.com>
- added davem's sparc syncdma patch
- fixed /usr/include/* symlinks with triggerun
- added bcrl's raw-fixup2 patch

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- workaround to build on sparc

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- added loopback change patch from Jakub for installer
- made some alpha scsi drivers modular
- small tweaks to the alpha-BOOT configuration
- patched aacraid makefile to include the right kernel headers (Patch111)

* Fri Jun 9 2000 Doug Ledford <dledford@redhat.com>
- Updated to 2.2.16 kernel release
- Added 2.2.16 combo fix patch
- Removed old patches we were carrying around
- Remade remaining patches to correct any line offsets or fuzz and verify
  they are still appropriate with 2.2.16
- Removed lots (40+) patches that were obsoleted by 2.2.16
- Reorganized spec file to make it easier to read
- Organize patches into groups and apply them in a specific order:
  - General bug fix patches first
  - Large patches that change core kernel code next
  - Driver specific patches last
- Added updated AMI MegaRAID driver
- Added updated Acenic Gigabit Ethernet driver
- Added Adaptec RAID (aacraid) driver
- Added latest 3c90x driver from 3Com

* Fri May 26 2000 Doug Ledford <dledford@redhat.com>
- added aic7xxx 5.1.29 driver version
- added aic7xxx 5.1.30 driver version
- added an agpgart patch that is a backport of the 2.3 agpgart code from
  Jakub
- added patch from Steeleye that causes a RESERVATION CONFLICT SCSI return
  code to result in an I/O error instead of a SCSI bus reset
- add patch from Steeleye that allows a SCSI Reset to be called for
  explicitly in the sg driver (with slight modifications by me)
- add patch from DaveM that fixes a TCP/IP DoS bug

* Mon May 22 2000 Bill Nottingham <notting@redhat.com>
- update to 0.9.12 version of ipvs patch

* Mon Apr 24 2000 Cristian Gafton <gafton@redhat.com>
- add patch from Chris Evans for the knfsd security problem
- enable the last three patches (%patch - doh!)

* Sat Apr 22 2000 Doug Ledford <dledford@redhat.com>
- Added a sparc DoS attack fix
- Added a sparc patch for the Alt-Sysreq behavior
- Added a pcmcia-cs patch to make it easier for non-root users to build
  a kernel rpm

* Tue Apr 18 2000 Cristian Gafton <gafton@redhat.com>
- regenerate config files

* Mon Apr 17 2000 Doug Ledford <dledford@redhat.com>
- Disabled the PIII patches
- Added a fixed version of the bigmem-raw patch

* Wed Apr 12 2000 Doug Ledford <dledford@redhat.com>
- Added the large-server patch for tuning purposes
- Fixed some more PIII code....sigh...
- Stopped applying the elf-loader patch since it conflicts with the latest
  elf security updates in Alan's DoS protection kit
- Added Alan's DoS protection patch kit that solves 4 linux kernel security
  related bugs:
    Exec bug - users can read arbitrary files on filesystem
    Masq bugs - attackers can build reverse UDP tunnels through a masq host
    Ext2 bug - on an I/O error during readdir, subsequent calls can return
      garbage and readdir can return garbage if your user space buffer
      is currently swapped out

* Tue Apr 11 2000 Doug Ledford <dledford@redhat.com>
- Fixed the PIII patch once again.

* Mon Apr 10 2000 Doug Ledford <dledford@redhat.com>
- Re-worked the PIII patch once again.  This should solve all known
  PIII code issues.
- Added a fix for the Unix domain sockets Denial of Service attack
    AF_UNIX - Any user can upset or crash the computer

* Thu Mar 30 2000 Doug Ledford <dledford@redhat.com>
- Fixed a bug in the PIII patch
- Added a one line SMP fix for Sparc
- Updated to the ipvs-0.9.8 patch

* Tue Mar 28 2000 Doug Ledford <dledford@redhat.com>
- added the alpha-imb patch
- added an LFS fix patch
- added new PIII patches
- renumber the pcmcia patches

* Tue Mar 14 2000 Doug Ledford <dledford@redhat.com>
- make some more updates to the megaraid patch

* Mon Mar 13 2000 Doug Ledford <dledford@redhat.com>
- fix the hlu agp gart patch
- make the megaraid abort loading of controllers with firmware 3.00 or 3.01
- fix sparc patches to play nice with lfs patches
- turn lfs on

* Tue Mar 07 2000 Cristian Gafton <gafton@redhat.com>
- fix stupidity in the agphjlfixes. make xconfig work again
- security patches from Alan (4 of them) (patch75-78)
- acenic sparc patch from davem (patch79)

* Tue Mar 07 2000 Doug Ledford <dledford@redhat.com>
- Added third sparc cpu bug fix patch from davem

* Mon Mar 06 2000 Cristian Gafton <gafton@redhat.com>
- fix symbol versioning on the alpha so we don't get any more unresolved
  dependencies

* Mon Mar 06 2000 Doug Ledford <dledford@redhat.com>
- Added three new sparc patches from davem
- Updated boot kernel config files to include SysV IPC support so the X
  server used during graphical install will be able to use shared mem

* Sun Mar 05 2000 Doug Ledford <dledford@redhat.com>
- Put the megaraid v107 patch back in now that it has been cleared
  from suspicion in the megaraid lockup problem.

* Sat Mar 04 2000 Doug Ledford <dledford@redhat.com>
- Back the megaraid driver back down to version 1.05 and remove the extra
  megaraid patch that was added in the last RPM build

* Sat Mar 04 2000 Doug Ledford <dledford@redhat.com>
- Fix the pcmcia build function to answer the questions in the make config
  process correctly
- Upped the number of extra scsi disk structs to allow for adding drives at
  run time
- Fixed the sparc config files to enable RAID partition autodetection
- Added a delay to the megaraid detection routine to keep it from locking
  up the SCSI bus when you try to beat on it immediately after startup

* Fri Mar 03 2000 Doug Ledford <dledford@redhat.com>
- Updated the sparc-mmap patch to correct a slight oversight in the original
- added the nautilus-srm patch for alpha machines

* Thu Mar 02 2000 Doug Ledford <dledford@redhat.com>
- Updated the alpha configs to include network socket filter so dhcp works
- added the aic7xxx-5.1.28 patch
- added the sparc Ultrasparc II CPU bug patch from davem

* Mon Feb 28 2000 Doug Ledford <dledford@redhat.com>
- Added the ibcs locking patch
- Added the sparc raid patch
- Added the sparc mmap patch
- Added the sparc lockd patch
- Kept the actual kernel version (2.2.14-5.0) frozen instead of incrementing
  it.

* Wed Feb 23 2000 Cristian Gafton <gafton@redhat.com>
- insert doug's changelog: added the ipvs-template patch

* Fri Feb 18 2000 Doug Ledford <dledford@redhat.com>
- Replace the IDE no printk patch with the more correct ide-cd-shutup patch
  from Jens Axboe
- Update the PSI drivers
- Added Jakub's patch to keep the sparc kernel from complaining about not
  knowing what the LFS syscalls are
- Added a patch to make the sk98 driver friendly to non-32 bit machines
- Updated config files to turn on the sk98 driver, and the PCI2000 and PCI2200
  drivers
- Added aic7xxx-5.1.27 patch

* Wed Feb 16 2000 Zach Brown <zab@redhat.com>
- bring acenic up to Jes' recommended 0.41
- enable acenic on alpha and sparc64
- disable vfs disk change printk

* Wed Feb 16 2000 Doug Ledford <dledford@redhat.com>
- added patch for probing all luns on megaraid logical devices
- added patch to increase number of loop devices
- modified spec file to make /etc/sysconfig/pcmcia a %config(noreplace) file
- added aic7xxx-5.1.26 driver

* Fri Feb 11 2000 Zach Brown <zab@redhat.com>
- added newagp module with bugfixes 
- added sblive emu10k1 driver
- added pre7 eepro100 fixes

* Thu Feb 10 2000 Doug Ledford <dledford@redhat.com>
- Added in all of Alan and Dave's various kernel fixes (patch numbers 42
  through 64 are from the 2.2.15-pre kernel series)

* Tue Feb 08 2000 Doug Ledford <dledford@redhat.com>
- Backed kernel back down to 2.2.14 official instead of 2.2.15-pre5
- Added back in the MegaRAID patch, timersync patch, and various aic7xxx
  patches that used to be part of 2.2.15-pre5
- Turned off the nfsattack2 patch because A) it didn't apply cleanly any more
  and B) Alan thought that the straight 2.2.14 kernel nfsd would be the
  best version of NFS to use
- Undid the bigmem patch changes so it would apply to 2.2.14 again

* Tue Feb 08 2000 Cristian Gafton <gafton@redhat.com>
- make atyfb and pm2 available as modules instead of compiling them in
  (patch from jakub + config files update)

* Sat Feb  5 2000 Matt Wilson <msw@redhat.com>
- disable strip build root policy

* Fri Feb 04 2000 Cristian Gafton <gafton@redhat.com>
- updated the nfsd patch

* Fri Feb  4 2000 Matt Wilson <msw@redhat.com>
- added patch from Jakub to make new nfs build on sparc

* Fri Feb 04 2000 Zach Brown <zab@redhat.com>
- Added HJL's 2.2.14 NFS patches
- Fixed typo in creative joystick
- ksymoops now doesn't require libbfd (care of hjl)
- Andrea's kiobuf buffer overflow fix
- Silence mostly harmless printk in sun disk label code
- Turned off solaris emulation 
- add AGPGART for x86

* Sat Jan 29 2000 Doug Ledford <dledford@redhat.com>
- Updated to 2.2.15-pre5
- Removed duplicate patches that are now in 2.2.15-pre5 (megaraid,
  aic7xxx 1 and 2, timersync)
- Updated config files to turn on all fb devs on x86
- Enabled disk label support on x86
- Added the pre5 sparc config patch
- Added the Alpha arch. ramdisk size patch
- Added the Compaq Smart2 Array driver update patch
- Fixed the non-lfs version of the bigmem patch to apply to pre5.  The
  lfs version will need fixed similarly, but hasn't been done yet.

* Sun Jan 16 2000 Doug Ledford <dledford@redhat.com>
- Replaced the sigio patch with one that should compile on Sparc
  platforms (from Jakub Jelinek <jakub@redhat.com>)
- Added the SIGFPE patch to correct the problem where linux does not
  correctly set the siginfo struct values during a SIGFPE signal with
  unmasked FPU exceptions

* Sat Jan 15 2000 Doug Ledford <dledford@redhat.com>
- Added the aic7xxx-5.1.23 patch
- Added the sigio patch from Zach Brown <zab@redhat.com>
- Added the timersync patch from Ingo Molnar <mingo@redhat.com> to fix
  some SMP time mismatch problems on 8way machines
- Added the removal of the module.info file to the %preun scripts
- Updated to v1.07 of the AMI MegaRAID driver

* Fri Jan 07 2000 Doug Ledford <dledford@redhat.com>
- Modified DAC960 driver to use 4 bits of the minor for partitions so
  that it can support up to 16 partitions on a single logical
  device (default is 3 bits and 8 partitions)
- Enabled SMBFS support (as modules) on the Alpha platform
- Excluded irq 12 from the available irqs (needed to help on systems
  with PS/2 mice, should probably go away after USB based keyboard
  and mouse systems become the norm)

* Wed Jan 05 2000 Doug Ledford <dledford@redhat.com>
- Replaced single LFS patch with split LFS headers and LFS functions
  patch supplied by Jakub.
- Enabled LFS headers patch all the time so glibc can be built
  against this kernel and have knowledge about 64bit file ops

* Tue Jan 04 2000 Doug Ledford <dledford@redhat.com>
- Updated to Linus Official Penguin Pee 2.2.14 kernel
- Re-Upgraded bigmem patch to the 2.2.13-7 version (latest)
  with one fix to make Samba work again
- Turned off LFS patch for regular tree build
- Now have to versions of the bigmem patch, one for use with LFS
  and one for use without LFS

* Mon Jan 03 2000 Doug Ledford <dledford@redhat.com>
- Updated to pre-patch-2.2.14-18
- Downgraded bigmem patches to the previous version
- Added an IO-APIC patch to fix machines that don't give
  multiple IO-APICs in the same computer different APIC
  IDs

* Sun Dec 26 1999 Doug Ledford <dledford@redhat.com>
- Updated to pre-patch-2.2.14-16
- Updated to ipvs-0.9.7-2.2.13.patch

* Mon Dec 20 1999 Doug Ledford <dledford@redhat.com>
- Updated LFS patch to fix nfsd compile problems
- Rearrange ipvs patch to match HA groups kernel RPMS

* Sat Dec 18 1999 Doug Ledford <dledford@redhat.com>
- 2.2.14pre15
- LFS patch (64bit file I/O)
- Updated to 2.2.13-7 version of BIGMEM patch

* Thu Dec 16 1999 Doug Ledford <dledford@redhat.com>
- Added aic7xxx patch
- 2.2.14pre14

* Thu Dec  9 1999 Bill Nottingham <notting@redhat.com>
- fix broken symbols in multisound driver on alpha
- 2.2.14pre12

* Mon Dec 06 1999 Doug Ledford <dledford@redhat.com>
- Modified the PIII patch break over point for better performance
- Modified packaging so that the configs are part of the header
  RPM instead of the source RPM
- Updated config files (set all configs to 1GB kernel)

* Sun Dec 05 1999 Doug Ledford <dledford@redhat.com>
- Put in a new PIII patch and re-enabled the PIII kernels
- Updated to 2.2.14pre11

* Tue Nov 30 1999 Matt Wilson <msw@redhat.com>
- removed some things from alpha BOOT kernel

* Sat Nov 27 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.14pre9

* Tue Nov 23 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.14pre8
- compile raid in on alpha (no initrd)

* Fri Nov 19 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.14pre7
- oops, turn off vga16fb
- add alpha math patch (jakub)

* Tue Nov 16 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.14pre6
- new ipvs patch
- new PIII patch

* Fri Nov 12 1999 Matt Wilson <msw@redhat.com>
- added patch from davem to fix the kernel socket filter
- modified sparc config files to match other architectures
- added patch from Jalub to properly draw the bootup logo on the 3dlabs card

* Wed Nov 10 1999 Bill Nottingham <notting@redhat.com>
- new permedia2 patch (jakub)
- turn on stop-a when we print out 'hit l1-a to go to prom' (jakub)

* Mon Nov  8 1999 Matt Wilson <msw@redhat.com>
- added patch from davem for new hardware
- permedia2 patch (jakub)

* Fri Nov  4 1999 Bill Nottingham <notting@redhat.com>
- patch for multiple Creator/Elite framebuffers (davem)
- ship include/math-emu on sparc (jakub)
- turn on video & joystick modules on Alpha

* Wed Nov  3 1999 Bill Nottingham <notting@redhat.com>
- dbri patch (davem)
- sparc initrd patch (jakub)

* Tue Nov  2 1999 Bill Nottingham <notting@redhat.com>
- new sparc patch (DaveM)

* Fri Oct 29 1999 Bill Nottingham <notting@redhat.com>
- patch for raid resync
- patch for alpha TGA from Jay
- syncookie patch from Alan

* Thu Oct 28 1999 Matt Wilson <msw@redhat.com>
- added latest DaveM sparc patch

* Mon Oct 25 1999 Cristian Gafton <gafton@redhat.com>
- disable PIII patch (Doug, here we go again...)
- last sparc kernel patch. davem swears by it.

* Tue Oct 19 1999 Cristian Gafton <gafton@redhat.com>
- more sparc fixes (update kernel patch from DaveM)...
- change the sparc64 config files to use SYM53C8XX instead of NCR53C8XX

* Tue Oct 12 1999 Cristian Gafton <gafton@redhat.com>
- update the Sparc patch again
- add patch for the sigoops problem
- fix undefined symbols for alpha for nm256.o and msnd_classic.o
- don't boot an alpha BOOTsmp kernel anymore

* Mon Oct 11 1999 Doug Ledford <dledford@redhat.com>
- New patch for Symbios SCSI controllers in Compaq machines
- New patch for peer pci busses (supports the RCC HE and LE chipsets)
- Updated Xircom patch
- Added 3Com official driver patch

* Mon Oct 11 1999 Cristian Gafton <gafton@redhat.com>
- sparc patch from DaveM

* Fri Oct 08 1999 Cristian Gafton <gafton@redhat.com>
- leave the bigmem patches enabled only on the Intel
- update sparc patch from davem

* Thu Oct 07 1999 Doug Ledford <dledford@redhat.com>
- Put in a new peerbus patch to try and support the new RCC chipset
- Add a modified version of the pcnet32 patch for HP
- Patched the 3Com cardbus driver to support version C 575 cards
- Updated Xircom patch for the tulip_cb.c driver

* Mon Oct 04 1999 Doug Ledford <dledford@redhat.com>
- changes to the tulip_cb.c driver for Xircom cards
- added bigmem patches from Stephen Tweedie (adapted from
  patches originally authored by Andrea Arcangeli from SuSE
  and Gerhard Wichert of Siemens AG)
- added various bigmem support patches
- added new version of linux-2.2.12-sparc-diff.gz from Dave Miller
- added new linux-2.2.12-alpha-diffs.patch file from Jay Estabrook

* Thu Sep 30 1999 Doug Ledford <dledford@redhat.com>
- Re-added the PIII patches
- Started working on the Xircom cardbus driver (tulip_cb.o)

* Tue Sep 28 1999 Cristian Gafton <gafton@redhat.com>
- update sparc patches from davem
- enable CONFIG_SPARCAUDIO_AMD7930 and CONFIG_SPARCAUDIO_DBRI on sparc as
  modules

* Mon Sep 27 1999 Cristian Gafton <gafton@redhat.com>
- patch to fix xtime SMP lockup problem from DaveM
- patch to fix the IDE poll lockups
- make building modules for SMP work okay

* Sun Sep 26 1999 Cristian Gafton <gafton@redhat.com>
- turn off PIII patches again
- NFS hang patch fix
- TCP sequence patch fix

* Sat Sep 25 1999 Cristian Gafton <gafton@redhat.com>
- turn off suid bit on cardctl

* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- add bestfunc patch to PIII patches and re-enable them

* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- disable PIII patches
- 2.2.13pre12
- PIII patches from Doug
- network fixes form DaveM
- sparc patches integration and consolidatin with stuff from vger (DaveM)
- put back the nfsd patches from earlier versions

* Tue Sep 21 1999 Cristian Gafton <gafton@redhat.com>
- 2.2.13pre11
- patch from Jakub to make CONFIG_BINFMT_SUNOS configurable on the sparc

* Mon Sep 20 1999 Doug Ledford <dledford@redhat.com>
- Integrated the PIII patch and the PIII-xor patch against Ingo's raid code
- Updated config files for PIII support
- Added Vesa FB support to the i386-BOOT config

* Thu Sep 16 1999 Cristian Gafton <gafton@redhat.com>
- 2.2.13pre9
- fix the Provides for the smp and BOOT kernel packages (provide the current
  version)
- alpha patches from Jay Estabrook
- Ingo's updated RAID code

* Mon Sep 13 1999 Cristian Gafton <gafton@redhat.com>
- jump to 2.2.13pre7 from Alan
- remove Ingo's raid patch to see if we gain more stability
- leave the peerbus patch enabled only for intel builds as it breaks alpha
  and sparc

* Sat Sep 11 1999 Cristian Gafton <gafton@redhat.com>
- use getconf to get the number opf CPus on the machine for use in the
  build process
- add DaveM's sparc and strlen_user() fix

* Fri Sep 10 1999 Doug Ledford <dledford@redhat.com>
- Add another device to the pci id listings
- Fix a one line bug in pcnet32.c

* Wed Sep 08 1999 Cristian Gafton <gafton@redhat.com>
- new ipvs patch
- patch from Doug to deal with peer PCI patch

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- patch from DaveM to handle increased NR_TASKS on sun4c
- build an alpha SMP BOOT kernel.
- don't ship sparc64 binaries on Intel

* Mon Sep 06 1999 Doug Ledford <dledford@redhat.com>
- add pci-id patch to correct pci.h and oldproc.c bugs
- add aic7xxx-5.1.20 patch to fix two kernel null pointer derefs
- very small patch to fix problems on Intel 450NX chipset motherboards
  (this is a preliminary patch pending an official patch from Martin Mares)

* Fri Sep 03 1999 Cristian Gafton <gafton@redhat.com>
- add hashing patch from DaveM
- add peerpci patch from Doug (disabled because it is busted)

* Thu Sep 02 1999 Cristian Gafton <gafton@redhat.com>
- add APIC patch from Doug and Zach

* Tue Aug 31 1999 Cristian Gafton <gafton@redhat.com>
- added Alan's fixes patch
- added rawio patch from Stephen
- disabled CONFIG_SCSI_ALL_LUN on all config files

* Sun Aug 29 1999 Cristian Gafton <gafton@redhat.com>
- 2.2.12
- enabled IPVS
- work around rpm's stupidity when it comes to _arch/_target_cpu and
  sparc/sparc64

* Wed Aug 25 1999 Cristian Gafton <gafton@redhat.com>
- add the linux/modversions.h file to the list of kernel version dependent
  (because of the .ver files it includes)
- upgrade to final3 + add-on patches

* Mon Aug 16 1999 Cristian Gafton <gafton@redhat.com>
- added pre7 patches from 2.2.12
- handle kernel-version specific autoconf.h and version.h headers
- add the NFS patches

* Fri Aug 13 1999 Cristian Gafton <gafton@redhat.com>
- add the serveraid patch

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- updated to pre5
- updated RAID patch from Ingo

* Mon Jul 26 1999 Cristian Gafton <gafton@redhat.com>
- patch to address the sysrq error on sparc
- patch to fix socket include file (thanks notting)
- add sparc patch from Jakub
- add afinet patch from Alexey Kuznetov
- add 2GB patch from Leonard Zubkoff

* Thu Jul 15 1999 Cristian Gafton <gafton@redhat.com>
- updated Adaptec kernel driver to 5.1.18
- pcmcia 3.0.13
- patch to pcmcia to fix some Cardbus problems

* Wed Jul 14 1999 Cristian Gafton <gafton@redhat.com>
- add patch to fix ATAPI ZIP drives

* Mon Jun 28 1999 Cristian Gafton <gafton@redhat.com>
- adeed patch tp increase default SEMMSL value

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- turn off CONFIG_SMB_WIN95

* Tue Jun  1 1999 Matt Wilson <msw@redhat.com>
- added remote crash fix from Alan Cox

* Mon May 17 1999 Matt Wilson <msw@redhat.com>
- rebuilt against fixed egcs to fix sparc crashes

* Mon Apr 26 1999 Cristian Gafton <gafton@redhat.com>
- alpha patches form Jay Estabrook
- semaphore patches from rth for alpha

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- upgraded the defrag patch with stuff from davem

* Sun Apr 18 1999 Cristian Gafton <gafton@redhat.com>
- log debugging information about starting nfsd to syslog instead of console
- make sure the postinstall exits with success for the kernel rpm if lilo
  has issues
- updated sparc jumbo patch
- networking fixes from DaveM
- make pcmcia use a preun instead of a postun. Duh.
- triggerpostun protects upgrades from older verrsions of pcmcia. Duh. Duh.

* Sat Apr 17 1999 Cristian Gafton <gafton@redhat.com>
- added patches for the alpha problems, ftruncate fix, mmap
  and shm fixes from the 2.2.6 kernel
- updated DaveM's sparc patch
- x86 patches also from x86 kernel

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- build alpha network drivers as modules
- pcmcia scripts do not use /dev/cuaX anymore for /dev/modem (ttySX instead)
- disable RTC on alpha

* Wed Apr 14 1999 Cristian Gafton <gafton@redhat.com>
- add patch for tokenring
- add the REAME.kernel-sources file to the kernel-headers
- updated again the sparc patch
- add Linus's patch to fix out of memory errors
- fix dac960's driver include files

* Mon Apr 12 1999 Cristian Gafton <gafton@redhat.com>
- new sparc patch (davem)
- new RAID patch (mingo)
- new aic7xxx driver (5.1.15 - dledford)
- aarp patch from alan

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- add patch from Alan to make SYS_access SuSv2 compliant
- update Dave Miller's sparc patch
- get rid of the bogus buffer patch (why the heck didn't patch reject it in
  first place?)

* Wed Apr 07 1999 Cristian Gafton <gafton@redhat.com>
- more patches from Alan
- updated the knfsd patches from knfsd 1.2.2

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- updated sparc patch from davem
- added patch for sound docs and bttv driver from alan

* Wed Mar 31 1999 Cristian Gafton <gafton@redhat.com>
- add i586 as an other platform
- patch from Alan Cox to fix misc hangups
- updated Doug's driver to 5.1.13
- version 2.2.5

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- added BOOT config files for all the arches
- updated config files (again)

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2.4
- new DAC960 patch
- install a module-info for ech kernel build
- be more selective in building kernel-doc for all arches
- alpha CPUs detection patch

* Sat Mar 13 1999 Cristian Gafton <gafton@redhat.com>
- patch for nbd stuff
- added large fd patch
- added nfsd patches from the knfsd dist

* Sat Mar 13 1999 Matt Wilson <msw@redhat.com>
- disabled vfork() on sparc32
- fixed up sparc64 build
- changed the compression level for bzImages from -9 to -3 on i386

* Fri Mar 12 1999 Matt Wilson <msw@redhat.com>
- build sunlance into the sparc kernels

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2.3
- make the /usr/src/linux-VER dir owned by kernel-headers instead of
  kernel-source

* Wed Mar 10 1999 Cristian Gafton <gafton@redhat.com>
- update to 2.2.2-ac7
- add config files for i686

* Wed Feb 24 1999 Cristian Gafton <gafton@redhat.com>
- merged in sparc64 changes
- update to 2.2.2
- fix the uname problems in different shapes of kernel being generated
- create a documentation package

* Thu Feb 11 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2.1 w/ ac5
- build the boot kernel for the bootdisks

* Wed Jan 27 1999 Cristian Gafton <gafton@redhat.com>
- ver 2.2.0 final w/ ac1
- move the pcmcia modules to the main kernel package
- also build smp version of the kernel
- enable apm in the kernel by default

* Tue Jan 19 1999 Cristian Gafton <gafton@redhat.com>
- update to 2.2.0 pre 8 w/ ac1

* Sun Dec 27 1998 Mike Wangsmo <wanger@redhat.com>
- put in 133ac3
- fixed PCMCIA to use GET_USE_COUNT instead of module->usecount

* Mon Dec 21 1998 Cristian Gafton <gafton@redhat.com>
- remove the jensen and srm-jensen subpackages, as those should be handled
  by the generic kernel instead.
- use 131ac13
- upgradede to 2.1.131
- removed /usr/include/scsi from kernel-headers

* Mon Nov 23 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.1.129 ac3
- pcmcia-cs 3.0.6
- XXX: disabled the DEPCS, EWRK3 support, as it does not build yet

* Tue Sep 29 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.1.123
- builds jansen and jensen-srm subpackages on alpha

* Thu Aug 13 1998 Cristian Gafton <gafton@redhat.com>
- build of 2.1.115, based on the previous spec from 2.0.35
- build like almost any other package, not dircetly in the buildroot
- sed the buildroot dir out of the .depend files
